"use strict";

exports.__esModule = true;
exports.default = void 0;

var _backgroundClip = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/backgroundClip"));

var _crossFade = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/crossFade"));

var _cursor = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/cursor"));

var _filter = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/filter"));

var _flexboxOld = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/flexboxOld"));

var _gradient = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/gradient"));

var _imageSet = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/imageSet"));

var _logical = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/logical"));

var _position = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/position"));

var _sizing = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/sizing"));

var _transition = _interopRequireDefault(require("inline-style-prefixer/lib/plugins/transition"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var w = ['Webkit'];
var m = ['Moz'];
var ms = ['ms'];
var wm = ['Webkit', 'Moz'];
var wms = ['Webkit', 'ms'];
var wmms = ['Webkit', 'Moz', 'ms'];
var _default = {
  plugins: [_backgroundClip.default, _crossFade.default, _cursor.default, _filter.default, _flexboxOld.default, _gradient.default, _imageSet.default, _logical.default, _position.default, _sizing.default, _transition.default],
  prefixMap: {
    appearance: wm,
    userSelect: wmms,
    textEmphasisPosition: w,
    textEmphasis: w,
    textEmphasisStyle: w,
    textEmphasisColor: w,
    boxDecorationBreak: w,
    clipPath: w,
    maskImage: w,
    maskMode: w,
    maskRepeat: w,
    maskPosition: w,
    maskClip: w,
    maskOrigin: w,
    maskSize: w,
    maskComposite: w,
    mask: w,
    maskBorderSource: w,
    maskBorderMode: w,
    maskBorderSlice: w,
    maskBorderWidth: w,
    maskBorderOutset: w,
    maskBorderRepeat: w,
    maskBorder: w,
    maskType: w,
    textDecorationStyle: w,
    textDecorationSkip: w,
    textDecorationLine: w,
    textDecorationColor: w,
    filter: w,
    breakAfter: wms,
    breakBefore: wms,
    breakInside: wms,
    columnCount: w,
    columnFill: w,
    columnGap: w,
    columnRule: w,
    columnRuleColor: w,
    columnRuleStyle: w,
    columnRuleWidth: w,
    columns: w,
    columnSpan: w,
    columnWidth: w,
    backdropFilter: w,
    hyphens: wms,
    flowInto: wms,
    flowFrom: wms,
    regionFragment: wms,
    textOrientation: w,
    tabSize: m,
    wrapFlow: ms,
    wrapThrough: ms,
    wrapMargin: ms,
    scrollSnapType: ms,
    scrollSnapPointsX: ms,
    scrollSnapPointsY: ms,
    scrollSnapDestination: ms,
    scrollSnapCoordinate: ms,
    textSizeAdjust: ['ms', 'Webkit'],
    fontKerning: w,
    borderImage: w,
    borderImageOutset: w,
    borderImageRepeat: w,
    borderImageSlice: w,
    borderImageSource: w,
    borderImageWidth: w,
    flex: w,
    flexBasis: w,
    flexDirection: w,
    flexGrow: w,
    flexFlow: w,
    flexShrink: w,
    flexWrap: w,
    alignContent: w,
    alignItems: w,
    alignSelf: w,
    justifyContent: w,
    order: w,
    transitionDelay: w,
    transitionDuration: w,
    transitionProperty: w,
    transitionTimingFunction: w,
    transform: w,
    transformOrigin: w,
    transformOriginX: w,
    transformOriginY: w,
    backfaceVisibility: w,
    perspective: w,
    perspectiveOrigin: w,
    transformStyle: w,
    transformOriginZ: w,
    animation: w,
    animationDelay: w,
    animationDirection: w,
    animationFillMode: w,
    animationDuration: w,
    animationIterationCount: w,
    animationName: w,
    animationPlayState: w,
    animationTimingFunction: w,
    fontFeatureSettings: w,
    writingMode: w
  }
};
exports.default = _default;
module.exports = exports.default;