"use strict";

exports.__esModule = true;
exports.default = normalizeValueWithProperty;

var _unitlessNumbers = _interopRequireDefault(require("../__modules__/unitlessNumbers"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function normalizeValueWithProperty(value, property) {
  var returnValue = value;

  if (typeof value === 'number') {
    if (property == null || !_unitlessNumbers.default[property]) {
      returnValue = value + "px";
    }
  }

  return returnValue;
}

module.exports = exports.default;